<!DOCTYPE html>
<html>
<head>
	<title>Software Engineering Code of Ethics and Professional Practice</title>
</head>
<body>

	<h4><em>Science and Engineering Ethics (2001) 7, 231-238</em></h4>

	<hr>

	<h1><strong>Software Engineering Code of Ethics and Professional Practice</strong></h1>

	<h4><strong>IEEE-CS/ACM Joint Force on Software Engineering Ethics and Professional Practices</strong></h4>

	<hr>

	<p><strong>Keywords:</strong> code of ethics, professional responsiblity, software engineering</p>

	<h3><strong>PREAMBLE</strong></h3>

	<p>The short version of the code summarizes at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change thw way we act as software engineering professionals. Without the aspirations, the details can become legalistics and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
	<br><br>
	Software engineers shall comiit themselves to making analysis, specification, design, development, testing, and maintenance of software beneficial and respected profession. In accordance with theri commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:
	<br><br>

	<strong>PRINCIPLES</strong>

	<br><br>

	<ol>
		<li><em>Public.</em> Software engineers shall act consistnently with the public interest. </li>
		<li><em>Client and employer.</em> Software engineers shall act in manner that is in the best interest of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
		<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
		<li><em>Management.</em> Software engineering and leaders shall subscribe to and promote an ethical approach to the management of software development maintenance.</li>
		<li><em>Profession.</em> Software engineer shall advabnce the integrity and reputation of profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineer shall be fair and supportive of their colleagues.</li>
		<li><em>Self.</em> Software engineer shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
	</ol>

	</p>

</body>
</html>